Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 21:15:23 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 2 Nov 2021 11:58:17 -0700
> Cc: [email-masked], [email-masked]
> 
> > If you're the author of a little-known package, you can't really
> > expect theme authors to provide customized icons for your package that
> > fit with the theme. However, themes *do* specify at least a handful of
> > faces. As a package author, it would be convenient to be able to say
> > "render this icon using the foreground color of the `error' face", for
> > example. Then your package looks good with most themes without
> > requiring anyone to provide custom SVGs.
> 
> Exactly the point.  This goes for built-in packages as well.

How come built-in packages qualify as "little-known"?

For really little-known packages, my suggestion would be to use icons
whose visibility should be good with any theme.  Or they could not use
icons at all.